﻿package  
{
	import caurina.transitions.Tweener;
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	
	public class FrontScreen extends MovieClip
	{
		public var rowBtn1:MovieClip;
		public var rowBtn2:MovieClip;
		public var rowBtn3:MovieClip;
		public var rowBtn4:MovieClip;
		public var rowBtn5:MovieClip;
		public var rowBtn6:MovieClip;
		public var rowBtn7:MovieClip;
		public var rowBtn8:MovieClip;
		
		public var photoNo:PhotoNumber;
		
		public function FrontScreen(photoNo:PhotoNumber) 
		{
			this.photoNo = photoNo;
			init();
		}
		
		private function init():void
		{
			var btn:MovieClip;
			for (var i:int = 0; i < 8; i++) {
				btn = this["rowBtn" + (i + 1)];
				btn.addEventListener(MouseEvent.ROLL_OVER, btnRollOverHD);
				btn.addEventListener(MouseEvent.ROLL_OUT, btnRollOutHD);
				btn.addEventListener(MouseEvent.CLICK, btnClickHD);
			}
		}
		
		private function btnClickHD(e:MouseEvent):void
		{
			var btn:MovieClip = e.currentTarget as MovieClip;
			var no:int = int(btn.name.substr( -1));
			photoNo.no = no;
		}
		
		private function btnRollOutHD(e:MouseEvent):void
		{
			var btn:MovieClip = e.currentTarget as MovieClip;
			Tweener.addTween(btn, { 
				alpha:0,
				time:0.6,
				transition:"easeinquad"
			});
		}
		
		private function btnRollOverHD(e:MouseEvent):void
		{
			var btn:MovieClip = e.currentTarget as MovieClip;
			if (Tweener.isTweening(btn)) {
				Tweener.removeTweens(btn);
			}
			btn.alpha = 1;
		}
		
	}
	
}